#include <iostream>
#include <stdlib.h>
#include "game.h"
#include "fester.h"
int main (){
    struct client * storage;
	
	// does something dumb for Msft
	__STARTUP();
	
	// get a server socket from the Operating system
	int sock = setup();
	
	// allocate memory for storage for the life of the application
	if(NULL == (storage = allocateBunnies(sock))) {
		fprintf(stderr, "not enough memory for program to run\n");
		return 0;
	}
    fprintf (stdout,"Qwixx initiated!\n");
    Game newgame;
    newgame.addPlayer("itsMe");
    newgame.send();
}